XFSQA 122 on machines with xfs_lazy_sb.patch have failed due to the addition of __be3...
[xfstests-dev.git] / 092
1 #! /bin/sh
2 # FS QA Test No. 092
3 #
4 # Make sure that 64 bit platforms can mount inode64 filesystems
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
8 #-----------------------------------------------------------------------
9 #
10 # creator
11 owner=nathans@sgi.com
12
13 seq=`basename $0`
14 echo "QA output created by $seq"
15
16 here=`pwd`
17 tmp=/tmp/$$
18 status=1        # failure is the default!
19 trap "_cleanup; exit \$status" 0 1 2 3 15
20
21 _cleanup()
22 {
23     cd /
24     rm -f $tmp.*
25 }
26
27 # get standard environment, filters and checks
28 . ./common.rc
29 . ./common.filter
30
31 # real QA test starts here
32
33 # Modify as appropriate.
34 _supported_fs xfs
35 _supported_os IRIX Linux
36 _require_scratch
37 _require_nobigloopfs
38
39 bitsperlong=`src/feature -w`
40 [ "$bitsperlong" -ne 64 ] && _notrun "inode64 not checked on this platform"
41
42 MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
43 _scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
44 echo Silence is golden
45
46 _scratch_mount
47 [ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
48
49 # success, all done
50 status=0
51 exit